Bug 435399 - Could freeimage be used instead ?
Could freeimage be used instead ?
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ogre (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On: 438024
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-28 20:58 EST by Felix Bellaby
Modified: 2008-04-04 04:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 04:56:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Felix Bellaby 2008-02-28 20:58:32 EST
The Ogre developers are allowing the DevIL code to become increasingly stale and 
it is likely to disappear from the sources unless we can demonstrate a
continuing need to support it.

The ogre.spec file explicitly avoids linking against freeimage on the grounds
that it has a GPL license rather than using LGPL. However, freeimage is also
distributed under a home-brew license called the FIPL that the Ogre team have
accepted on the grounds that it is weaker than the LGPL. Might it be possible to
accept freeimage under this FIPL license?

There have been issues in the past with freeimage merging in code from image
libraries without internalizing the symbols, but these appear to have resolved
in the latest edition. If there is a prospect of including freeimage under the
FIPL then it should be possible to get together a working rpm for freeimage.
Comment 1 Hans de Goede 2008-02-29 03:37:55 EST
Interesting I didn't know about the FIPL license. At first glance the license
seems ok, I've forwarded it to our licensing expert for approval and for LGPL
compatibility checking (and added him to the CC here).
Comment 2 Felix Bellaby 2008-02-29 20:44:14 EST
Great. I will try to keep the DevIL code working in Ogre until Fedora has
FreeImage so you can cope with any releases before then.
Comment 3 Hans de Goede 2008-03-18 14:35:16 EDT
(In reply to comment #2)
> Great. I will try to keep the DevIL code working in Ogre until Fedora has
> FreeImage so you can cope with any releases before then.

Thanks.

Out legal expert has vetted the FIPL license as LGPL compatible (actually the
FIPL license is just the MPL version 1.0)

So I've created a freeimage package and submitted it for review, once that is
available in Fedora (iow once it has passed review), I can rebuild ogre to use
it, see bug 438024.
Comment 4 Hans de Goede 2008-04-04 04:56:51 EDT
freeimage is now in the repo and ogre has been build against freeimage in
rawhide, closing.

Note You need to log in before you can comment on or make changes to this bug.